[@rxap/data-source](../wiki/globals) / staticDataSource

# Function: staticDataSource()

> **staticDataSource**\<`Data`\>(`data`, `metadata`): [`StaticDataSource`](../wiki/Class.StaticDataSource)\<`Data`\>

Defined in: [packages/angular/data-source/src/lib/static.data-source.ts:122](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-source/src/lib/static.data-source.ts#L122)

## Type Parameters

• **Data**

## Parameters

### data

[`StaticDataSourceData`](../wiki/TypeAlias.StaticDataSourceData)\<`Data`\>

### metadata

[`StaticDataSourceMetadata`](../wiki/Interface.StaticDataSourceMetadata)\<`Data`\> = `...`

## Returns

[`StaticDataSource`](../wiki/Class.StaticDataSource)\<`Data`\>
